body {
    --brand-color: #304452;
}

.logo-main {
    display: block;
    margin: 0 auto;
    width: 300px;
    margin-bottom: 20px;
}


.title-underline::after {
    background-color: var(--brand-color);
}

.category-list {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 30px 30px;
}

.category {
    filter: drop-shadow(0px 0px 2px rgb(0, 0, 0, 0.5));
    background-color: white;
    /* box-shadow: 0px 0px 2px rgb(0, 0, 0, 0.5); */
    border-radius: 20px;
    width: 260px;
    transition: all 100ms ease-in-out, transform 500ms ease-in-out;
    border: 2px solid rgb(255, 255, 255, 0);
    overflow: hidden;
    display: block;
    justify-content: center;
    padding-bottom: 16px;
}

:is(.category:hover, .category:has(> button:focus)) {
    background-color: #FAFAFA;
    border-color: grey;
}

.category > img {
    filter: drop-shadow(0px 0px 2px rgb(0, 0, 0, 0.2));
    transition: 500ms ease-in-out;
}

:is(.category:hover, .category:has(> button:focus)) > img {
    transform: scale(104%);
}

.category > h3 {
    font-size: 2rem;
    line-height: 2.4rem;
    text-align: center;
    font-weight: 800;
    align-self: center;
}
.product-form-button {
        display: block;
        background-color: #FFFFFF;
        width: fit-content;
        border-radius: 2px;
        font-size: 1.8rem;
        font-weight: 600;
        padding: 6px 0px;
        transition: 100ms ease-in-out;
        border: 1px solid var(--brand-color);
        box-shadow: 0px 0px 2px rgb(from var(--brand-color) r g b / 0.5);
        text-transform: uppercase;
        width: 180px;
        text-align: center;
        margin-top: 20px;
        justify-self: center;
        font-size: 1.6rem;
}

.application-list {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(170px, 1fr));
    gap: 30px 30px;
    justify-content: center;
    justify-items: center;
}
.application {
    filter: drop-shadow(0px 0px 2px rgb(0, 0, 0, 0.5));
    background-color: white;
    border-radius: 20px;
    width: 170px;
    overflow: hidden;
    transition: all 100ms ease-in-out, transform 500ms ease-in-out;
    border: 2px solid transparent;
    padding: 10px;
}
.application img {
    border-radius: 6px;
    transition: 500ms ease-in-out;
}
.application > h3 {
    font-size: 1.6rem;
    line-height: 2rem;
    text-align: center;
    font-weight: 700;
    margin-top: 10px;
}
.application:hover, .application:has(> .product-form-button:focus) {
    background-color: #FAFAFA;
    border-color: grey;
}
.application:hover > img {
    transform: scale(101%);
}
.product-form-button:hover, .product-form-button:focus {
    background-color: #EEEEEE;
}

.featured-series-list {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.featured-series-item {
    width: 100%;
    border-radius: 20px;
    transition: all 100ms ease-in-out, transform 500ms ease-in-out;
    border: 2px solid transparent;
    padding: 20px;
    background-color: white;
    filter: drop-shadow(0px 0px 2px rgb(0, 0, 0, 0.5));
}
.featured-series-item:hover, .featured-series-item:has(.product-form-button:focus) {
    background-color: #FAFAFA;
    border-color: grey;
}

.featured-series-item-flex-container {
    display: flex;
    gap: 20px;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
}
.featured-series-title-container {
    width: 200px;
    display: flex;
    flex-direction: column;
}
.featured-series-title-container > h3 {
    display: block;
    font-size: 2.6rem;
    line-height: calc(2.6rem * 1.3);
    font-weight: 600;
    text-transform: uppercase;
}
.featured-series-title-container > span {
    display: block;
    font-size: 2.2rem;
    line-height: calc(2.2rem * 1.3);
}
.featured-series-description-container {
    flex-basis: 300px;
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    gap: 10px;
}
.featured-series-image {
    width: 250px;
    max-height: 300px;
    transition: ease-in-out 500ms;
}
:is(.featured-series-item:hover, .featured-series-item:has(.product-form-button:focus)) .featured-series-image {
    transform: scale(104%);
}


.advantages-container {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    border-radius: 20px;
    transition: all 100ms ease-in-out, transform 500ms ease-in-out;
    border: 2px solid transparent;
    padding: 20px;
    background-color: white;
    filter: drop-shadow(0px 0px 2px rgb(0, 0, 0, 0.5));
}
.advantages-container:hover {
    background-color: #FAFAFA;
    border-color: grey;
}
.advantages-container > h2 {
    font-size: 3rem;
    line-height: calc(3rem * 1.5);
    text-align: center;
    font-weight: 700;
    margin-bottom: 20px;
}

.advantages-list {
    display: flex;
    gap: 40px;
    justify-content: space-between;
    width: 100%;
    flex-wrap: wrap;
}
.advantage {
    flex-grow: 1;
    display: grid;
    grid-template-rows: 100px auto;
    justify-items: center;
    align-items: center;
    gap: 10px;
}
.advantage span {
    text-align: center;
    display: block;
}
.advantage-highlight-container {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100px;
}
.advantage-highlight-text {
    font-size: 4rem;
    line-height: calc(4rem * 1.5);
    font-weight: 700;
}
.advantage-text-rest {
    font-size: 2rem;
    line-height: calc(2rem * 1.5);
    font-weight: 500;
}


@media only screen and (max-width: 950px) {
    .logo-main {
        width: 200px;
    }

    .category > h3 {
        font-size: 1.8rem;
        line-height: 2.2rem;
    }

    .category {
        width: 220px;
    }
    .product-form-button {
        width: 160px;
        font-size: 1.4rem;
    }

    .featured-series-item-flex-container {
        flex-direction: column;
    }

    .featured-series-title-container {
        width: 100%;
        text-align: center;
    }
    .featured-series-title-container > h3 {
        font-size: 2.4rem;
        line-height: calc(2.4rem * 1.3);
    }
    .featured-series-title-container > span {
        font-size: 2.0rem;
        line-height: calc(2.0rem * 1.3);
    }

    .featured-series-description-container {
        flex-basis: unset;
        text-align: center;
    }

    .featured-series-image {
        max-height: 200px;
        width: 100%;
    }
}